Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.modules.config
Class ServerXmlReader

    java.lang.Object
      org.apache.tomcat.core.BaseInterceptor
          org.apache.tomcat.modules.config.ServerXmlReader

public class ServerXmlReader
extends BaseInterceptor

This is a configuration module that will read a server.xml file and dynamically configure the server by adding modules and interceptors. Tomcat can be configured ( and auto-configured ) in many ways, and a configuration module will have access to all server events, and will be able to update it's state, etc.

Author:
  Costin Manolache

Field Summary

Fields inherited from class org.apache.tomcat.core.BaseInterceptor
`cm, ct, ctx, debug, DECLINED, loghelper, OK`

Constructor Summary
`ServerXmlReader()`

Method Summary
`void` | `addDefaultTags(ContextManager cm, XmlMapper xh)`
`void` | `addInterceptor(ContextManager cm, Context ctx, BaseInterceptor module)` When this module is added, it'll automatically load a configuration file and add all global modules.
`static void` | `addTagRule(XmlMapper xh, java.lang.String tag, java.lang.String classN)`
`static void` | `addTagRules(ContextManager cm, XmlMapper xh)`
`static java.util.Vector` | `getUserConfigFiles(java.io.File master)`
`static void` | `loadConfigFile(XmlMapper xh, java.io.File f, java.lang.Object cm)`
`void` | `setConfig(java.lang.String s)`
`void` | `setHome(java.lang.String h)`
`void` | `setModuleConfig(java.lang.String f)`
`static void` | `setPropertiesRules(ContextManager cm, XmlMapper xh)`
`static void` | `setTagRules(XmlMapper xh)`

Methods inherited from class org.apache.tomcat.core.BaseInterceptor
`addContainer, addContext, addHandler, addSecurityConstraint, afterBody, authenticate, authorize, beforeBody, beforeCommit, contextInit, contextMap, contextShutdown, contextState, copyContext, engineInit, engineShutdown, engineStart, engineState, engineStop, findSession, getContext, getContextManager, getDebug, getInfo, getLog, getNote, getNote, handleError, log, log, log, log, postInitCheck, postReadRequest, postRequest, postService, postServletDestroy, postServletInit, preInitCheck, preService, preServletDestroy, preServletInit, registerHooks, reload, removeContainer, removeContext, removeHandler, removeInterceptor, requestMap, sessionState, setContext, setContextManager, setDebug, setInfo, setNote, setNote`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerXmlReader

    public ServerXmlReader()

Method Detail

### setConfig

    public void setConfig(java.lang.String s)

### setHome

    public void setHome(java.lang.String h)

### setModuleConfig

    public void setModuleConfig(java.lang.String f)

### addInterceptor

    public void addInterceptor(ContextManager cm,
                               Context ctx,
                               BaseInterceptor module)
                        throws TomcatException

  When this module is added, it'll automatically load a configuration file and add all global modules.

  Overrides:
    `addInterceptor` in class `BaseInterceptor`
  Parameters:
    `cm` - the server
    `ctx` - not null if this is a local interceptor
    `module` - the new added interceptor
  Throws:
    `TomcatException` - The module will not be added if any module throws an exception.

### loadConfigFile

    public static void loadConfigFile(XmlMapper xh,
                                      java.io.File f,
                                      java.lang.Object cm)
                               throws TomcatException

  Throws:
    `TomcatException`

### setPropertiesRules

    public static void setPropertiesRules(ContextManager cm,
                                          XmlMapper xh)
                                   throws TomcatException

  Throws:
    `TomcatException`

### addTagRules

    public static void addTagRules(ContextManager cm,
                                   XmlMapper xh)
                            throws TomcatException

  Throws:
    `TomcatException`

### addTagRule

    public static void addTagRule(XmlMapper xh,
                                  java.lang.String tag,
                                  java.lang.String classN)

### setTagRules

    public static void setTagRules(XmlMapper xh)

### addDefaultTags

    public void addDefaultTags(ContextManager cm,
                               XmlMapper xh)
                        throws TomcatException

  Throws:
    `TomcatException`

### getUserConfigFiles

    public static java.util.Vector getUserConfigFiles(java.io.File master)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache Software Foundation. All Rights Reserved.